/*
 * Cloudera Manager API
 * <h1>Cloudera Manager API v43</h1>       <p>Introduced in Cloudera Manager 7.3.1</p>       <p><a href=\"http://www.cloudera.com/documentation.html\">Cloudera Product Documentation</a></p>
 *
 * OpenAPI spec version: 7.3.1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.cloudera.api.swagger.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Arguments used for the command to generate the docker copy script.
 */
@ApiModel(description = "Arguments used for the command to generate the docker copy script.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2021-03-12T15:06:01.124Z")
public class ApiGenerateCopyDockerArgs {
  @SerializedName("remoteRepoUrl")
  private String remoteRepoUrl = null;

  @SerializedName("dockerRegistry")
  private String dockerRegistry = null;

  @SerializedName("controlPlaneUuid")
  private String controlPlaneUuid = null;

  public ApiGenerateCopyDockerArgs remoteRepoUrl(String remoteRepoUrl) {
    this.remoteRepoUrl = remoteRepoUrl;
    return this;
  }

   /**
   * The url of the remote repository where the private cloud artifacts to install are hosted
   * @return remoteRepoUrl
  **/
  @ApiModelProperty(value = "The url of the remote repository where the private cloud artifacts to install are hosted")
  public String getRemoteRepoUrl() {
    return remoteRepoUrl;
  }

  public void setRemoteRepoUrl(String remoteRepoUrl) {
    this.remoteRepoUrl = remoteRepoUrl;
  }

  public ApiGenerateCopyDockerArgs dockerRegistry(String dockerRegistry) {
    this.dockerRegistry = dockerRegistry;
    return this;
  }

   /**
   * The url of the Docker Registry where images required for install will be copied to
   * @return dockerRegistry
  **/
  @ApiModelProperty(value = "The url of the Docker Registry where images required for install will be copied to")
  public String getDockerRegistry() {
    return dockerRegistry;
  }

  public void setDockerRegistry(String dockerRegistry) {
    this.dockerRegistry = dockerRegistry;
  }

  public ApiGenerateCopyDockerArgs controlPlaneUuid(String controlPlaneUuid) {
    this.controlPlaneUuid = controlPlaneUuid;
    return this;
  }

   /**
   * Optional. The uuid of the control plane, if copying docker images for an upgrade
   * @return controlPlaneUuid
  **/
  @ApiModelProperty(value = "Optional. The uuid of the control plane, if copying docker images for an upgrade")
  public String getControlPlaneUuid() {
    return controlPlaneUuid;
  }

  public void setControlPlaneUuid(String controlPlaneUuid) {
    this.controlPlaneUuid = controlPlaneUuid;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApiGenerateCopyDockerArgs apiGenerateCopyDockerArgs = (ApiGenerateCopyDockerArgs) o;
    return Objects.equals(this.remoteRepoUrl, apiGenerateCopyDockerArgs.remoteRepoUrl) &&
        Objects.equals(this.dockerRegistry, apiGenerateCopyDockerArgs.dockerRegistry) &&
        Objects.equals(this.controlPlaneUuid, apiGenerateCopyDockerArgs.controlPlaneUuid);
  }

  @Override
  public int hashCode() {
    return Objects.hash(remoteRepoUrl, dockerRegistry, controlPlaneUuid);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApiGenerateCopyDockerArgs {\n");
    
    sb.append("    remoteRepoUrl: ").append(toIndentedString(remoteRepoUrl)).append("\n");
    sb.append("    dockerRegistry: ").append(toIndentedString(dockerRegistry)).append("\n");
    sb.append("    controlPlaneUuid: ").append(toIndentedString(controlPlaneUuid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

